No GUI after UP5 - how to get back?

Post your update and upgrade related errors here
Forum rules
Before you post please read this

Re: No GUI after UP5 - how to get back?

Postby Monsta on Tue Oct 09, 2012 1:07 pm

Okay, let's see...

Code: Select all
28 upgraded, 21 newly installed, 6 to remove and 1125 not upgraded.
11 not fully installed or removed.
Need to get 0 B/34.2 MB of archives.

All the packages seem to be downloaded, but not all of them are installed/upgraded. I wonder if mintUpdate told you something about that or not... it surely wasn't safe to reboot at that time.

Code: Select all
WARNING: The following packages cannot be authenticated!

This shouldn't be there. Is linuxmint-keyring installed?

Code: Select all
Preparing to replace gnome-desktop3-data 3.2.1-3 (using .../gnome-desktop3-data_3.4.2-1_all.deb) ...
Unpacking replacement gnome-desktop3-data ...
dpkg: error processing /var/cache/apt/archives/gnome-desktop3-data_3.4.2-1_all.deb (--unpack):
 trying to overwrite '/usr/share/omf/gpl/gpl-sv.omf', which is also in package mate-desktop-gnome 1.2.0-0

Well, here's the culprit at last.
That's right. I've looked into both gnome-desktop3-data and mate-desktop-gnome, they share a few files (which is totally wrong).
The description of mate-desktop-gnome innocently states this:
Library with common API for various MATE modules (GNOME files)
This package contains the library with common API for various MATE modules.
.
The files in this package conflict with gnome-desktop-data.


I can't believe my eyes.


Well, after a little searching I recall I've stumbled upon this conflict before (here, see item 4), I just forgot it. The fact that this package isn't even installed in Maya MATE edition makes me think it isn't really important. What if we just remove it?

Run
Code: Select all
apt-get -s remove mate-desktop-gnome
to see what's gonna be removed. The -s switch makes apt-get perform a simulation, nothing will be actually removed.
Post the full output here then.
Monsta
Level 8
Level 8
 
Posts: 2343
Joined: Fri Aug 19, 2011 3:46 am

Linux Mint is funded by ads and donations.
 

Re: No GUI after UP5 - how to get back?

Postby Zweitaktmotor on Wed Oct 10, 2012 11:06 am

Here you are:

Code: Select all
Reading package lists...
Building dependency tree...
Reading state information...
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 gnome-control-center : Depends: libcheese-gtk21 (>= 3.4.0) but it is not going to be installed
                        Depends: libcheese3 (>= 3.0.1) but it is not going to be installed
                        Depends: libclutter-1.0-0 (>= 1.10.0) but 1.8.4-1 is to be installed
                        Depends: libcogl9 (>= 1.7.4) but it is not going to be installed
 gnome-shell : Depends: gir1.2-clutter-1.0 (>= 1.9.16) but 1.8.4-1 is to be installed
               Depends: gir1.2-gdesktopenums-3.0 but it is not going to be installed
               Depends: gir1.2-mutter-3.0 (>= 3.4.1) but 3.2.2-1 is to be installed
               Depends: libclutter-1.0-0 (>= 1.10.0) but 1.8.4-1 is to be installed
               Depends: libcogl9 (>= 1.7.4) but it is not going to be installed
               Depends: libgcr-3-1 (>= 3.4.0) but 3.2.2-2 is to be installed
               Depends: libgjs0b (>= 1.32.0) but 1.30.1-1 is to be installed
               Depends: libmutter0 (>= 3.4) but 3.2.2-1 is to be installed
               Depends: gir1.2-gcr-3 but it is not going to be installed
               Recommends: gnome-session-fallback but it is not going to be installed
 gnome-sushi : Depends: libclutter-1.0-0 (>= 1.10.0) but 1.8.4-1 is to be installed
               Depends: libcogl9 (>= 1.7.4) but it is not going to be installed
               Depends: libevdocument3-4 (>= 3.0.2) but it is not going to be installed
               Depends: libevview3-3 (>= 3.0.2) but it is not going to be installed
               Depends: libgjs0b (>= 1.32.0) but 1.30.1-1 is to be installed
               Depends: libmusicbrainz5-0 but it is not going to be installed
 gvfs-backends : Depends: libcdio-cdda1 (>= 0.83) but it is not going to be installed
                 Depends: libcdio-paranoia1 (>= 0.83) but it is not going to be installed
                 Depends: libcdio13 (>= 0.83) but it is not going to be installed
 libgnome-desktop-3-2 : Depends: gnome-desktop3-data (= 3.4.2-1) but 3.2.1-3 is to be installed
 mate-desktop : Depends: mate-desktop-gnome but it is not going to be installed or
                         gnome-desktop-data but it is not going to be installed

Zweitaktmotor
Level 2
Level 2
 
Posts: 52
Joined: Mon Feb 08, 2010 12:12 pm

Re: No GUI after UP5 - how to get back?

Postby Monsta on Wed Oct 10, 2012 12:14 pm

Hmm... was that all? No any additional error messages?

Code: Select all
 mate-desktop : Depends: mate-desktop-gnome but it is not going to be installed or
                         gnome-desktop-data but it is not going to be installed

This makes me wonder if the system does really consider them installed. What would these commands say?
Code: Select all
apt-cache policy mate-desktop-gnome
Code: Select all
apt-cache policy gnome-desktop-data
Code: Select all
apt-cache policy gnome-desktop3-data
Monsta
Level 8
Level 8
 
Posts: 2343
Joined: Fri Aug 19, 2011 3:46 am

Re: No GUI after UP5 - how to get back?

Postby Zweitaktmotor on Wed Oct 10, 2012 1:13 pm

No, no further messages, apart from the last line that was not caught by the redirection. It simply said "Dependencies not met, try apt-get -f install"


Code: Select all
mate-desktop-gnome:
  Installed: 1.2.0-0
  Candidate: 1.4.1-1+wheezy
  Version table:
     1.4.1-1+wheezy 0
        700 http://packages.linuxmint.com/ debian/import i386 Packages
 *** 1.2.0-0 0
        100 /var/lib/dpkg/status
gnome-desktop-data:
  Installed: (none)
  Candidate: 2.32.1-2
  Version table:
     2.32.1-2 0
        500 http://debian.linuxmint.com/latest/ testing/main i386 Packages
gnome-desktop3-data:
  Installed: 3.2.1-3
  Candidate: 3.4.2-1
  Version table:
     3.4.2-1 0
        500 http://debian.linuxmint.com/latest/ testing/main i386 Packages
 *** 3.2.1-3 0
        100 /var/lib/dpkg/status


Zweitaktmotor
Level 2
Level 2
 
Posts: 52
Joined: Mon Feb 08, 2010 12:12 pm

Re: No GUI after UP5 - how to get back?

Postby zerozero on Wed Oct 10, 2012 1:30 pm

i hate to use force-overwrite flags (sometimes wanting to fix something broken we might break something else even more) but here unfortunately i don't see a lot of options.
don't use this unless Monsta has no more ideas (he always has one more :D )
Code: Select all
dpkg -i --force-overwrite /var/cache/apt/archives/gnome-desktop3-data_3.4.2-1_all.deb

after that run again
Code: Select all
apt-get -f install
Code: Select all
apt-get dist-upgrade
zerozero
Level 16
Level 16
 
Posts: 6469
Joined: Tue Jul 07, 2009 2:29 pm

Re: No GUI after UP5 - how to get back?

Postby Monsta on Wed Oct 10, 2012 1:41 pm

:D Well, I'd suggest another risky move -
Code: Select all
dpkg --force-all --remove mate-desktop-gnome

- and then continue with
Code: Select all
apt-get -f install
Monsta
Level 8
Level 8
 
Posts: 2343
Joined: Fri Aug 19, 2011 3:46 am

Re: No GUI after UP5 - how to get back?

Postby Zweitaktmotor on Wed Oct 10, 2012 2:02 pm

OK, I went with Monsta's advice. All seemed to go well so far, apart from:

1. I saw a block of half a dozen messages flashing past saying "unknown media type in type ..." but they were too fast for me to write down (and I am not using output redirection because I want to see what is going on).

2. Right now, execution has halted saying:

Configuration file 'etc/gdm3/greeter.gsettings'
==> Modified (by you or a script) since installation.
==> Package distributor has shipped an updated version.
What would you like to do about it? Your options are:

Y or I : Install the package maintainer's version.
N or O : keep your currently installed version
D : Show the differences between the versions.
Z : Start a script to examine the situation.
Default is to keep you current version.


What do you want me to do?
Zweitaktmotor
Level 2
Level 2
 
Posts: 52
Joined: Mon Feb 08, 2010 12:12 pm

Re: No GUI after UP5 - how to get back?

Postby Monsta on Wed Oct 10, 2012 2:47 pm

Zweitaktmotor wrote:1. I saw a block of half a dozen messages flashing past saying "unknown media type in type ..." but they were too fast for me to write down (and I am not using output redirection because I want to see what is going on).

I've got these too during my system upgrade. This has something to do with file types and associations, and IIRC this is not a critical error.
BTW, do you have any software from KDE in your system, by any chance? :)

Zweitaktmotor wrote:Configuration file 'etc/gdm3/greeter.gsettings'
==> Modified (by you or a script) since installation.
==> Package distributor has shipped an updated version.

This is most probably just a change in theme or font settings for DM greeter screen. Keep your current version. Update pack info says the same.
Monsta
Level 8
Level 8
 
Posts: 2343
Joined: Fri Aug 19, 2011 3:46 am

Re: No GUI after UP5 - how to get back?

Postby Zweitaktmotor on Wed Oct 10, 2012 3:23 pm

Guys, you are amazing! Yes, I am back in the GUI.

Update Manager tells me there are still 1111 recommended updates (1GB).

Shall I ... ? (Not that we end up messing things up again.)

Many, many thanks so far.
Zweitaktmotor
Level 2
Level 2
 
Posts: 52
Joined: Mon Feb 08, 2010 12:12 pm

Re: No GUI after UP5 - how to get back?

Postby Monsta on Wed Oct 10, 2012 3:52 pm

Great :mrgreen:

Yes, upgrade them all. I'd use apt-get dist-upgrade twice: first time to update the system, and second time to make sure it says there's nothing to upgrade, that is:
Code: Select all
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded
and shows no errors.
Monsta
Level 8
Level 8
 
Posts: 2343
Joined: Fri Aug 19, 2011 3:46 am

Re: No GUI after UP5 - how to get back?

Postby Zweitaktmotor on Thu Oct 11, 2012 2:13 pm

It went alright until I got:

Code: Select all
Install these packages without verification [y/N]? y
Err http://www.debian-multimedia.org/ testing/main libavdevice54 i386 7:0.11.1-dmo5
  404  Not Found
Err http://www.debian-multimedia.org/ testing/main ffmpeg i386 7:0.11.1-dmo5
  404  Not Found
Failed to fetch http://www.debian-multimedia.org/pool/main/f/ffmpeg-dmo/libavdevice54_0.11.1-dmo5_i386.deb  404  Not Found
Failed to fetch http://www.debian-multimedia.org/pool/main/f/ffmpeg-dmo/ffmpeg_0.11.1-dmo5_i386.deb  404  Not Found
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?



Then I tried apt-get update, but got stuck on

Code: Select all
W: Failed to fetch http://www.debian-multimedia.org/dists/testing/main/binary-i386/Packages  404  Not Found

W: Failed to fetch http://www.debian-multimedia.org/dists/testing/non-free/binary-i386/Packages  404  Not Found

E: Some index files failed to download. They have been ignored, or old ones used instead.




So I tried apt-get update --fix-missing with the same rfesult. (sorry for not posting all the output, explanation later)

Finally, I tried to run Synaptic again, but was not successful either. Still reports 1111 packages need updating.

It may be that I am pointing to the wrong repo location, but there are other problems as well.

The system is now just about working. Wifi is broken, but wired connection works. Printing takes about half an hour per page...

***

The bottom line is: It may not be worth trying to find every bit that is broken. I have access to the system and can nurse it through until the new ISO is available and then try a complete rebuild. (Still have 20GB unpartitioned on my HD). At least I can then double-check that I get everything back as I wanted.

Eternally grateful for all your help!
Zweitaktmotor
Level 2
Level 2
 
Posts: 52
Joined: Mon Feb 08, 2010 12:12 pm

Re: No GUI after UP5 - how to get back?

Postby Monsta on Thu Oct 11, 2012 4:08 pm

Zweitaktmotor wrote:It went alright until I got:

Code: Select all
Install these packages without verification [y/N]? y
Err http://www.debian-multimedia.org/ testing/main libavdevice54 i386 7:0.11.1-dmo5
  404  Not Found
Err http://www.debian-multimedia.org/ testing/main ffmpeg i386 7:0.11.1-dmo5
  404  Not Found
Failed to fetch http://www.debian-multimedia.org/pool/main/f/ffmpeg-dmo/libavdevice54_0.11.1-dmo5_i386.deb  404  Not Found
Failed to fetch http://www.debian-multimedia.org/pool/main/f/ffmpeg-dmo/ffmpeg_0.11.1-dmo5_i386.deb  404  Not Found
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?



debian-multimedia.org is no more, you need to change that to deb-multimedia.org. You'll also need to install the keyring package from that repo:
Code: Select all
apt-get install deb-multimedia-keyring

And, of course, repeat apt-get update and apt-get dist-upgrade as needed. :)

If the verification problem persists, then it's not relevant to this and may indicate something's wrong with the main Linux Mint keyring. Check if it's installed:
Code: Select all
apt-cache policy linuxmint-keyring

And just in case, post your sources list please:
Code: Select all
inxi -r
and this file:
Code: Select all
/etc/apt/preferences

Zweitaktmotor wrote:The system is now just about working. Wifi is broken, but wired connection works. Printing takes about half an hour per page...

I think it's better to fully upgrade the system first and then proceed to fix these issues.

Zweitaktmotor wrote:The bottom line is: It may not be worth trying to find every bit that is broken. I have access to the system and can nurse it through until the new ISO is available and then try a complete rebuild. (Still have 20GB unpartitioned on my HD). At least I can then double-check that I get everything back as I wanted.

Well, reinstalling from a new (future) ISO actually makes some sense in this case... it's a good reason for making a separate partition for /home so you won't lose any configuration files, web browser data, etc. if you ever have to reinstall the system again. Besides, this time LMDE will have three separate ISOs - with MATE, Cinnamon, and XFCE.
Monsta
Level 8
Level 8
 
Posts: 2343
Joined: Fri Aug 19, 2011 3:46 am

Re: No GUI after UP5 - how to get back?

Postby zerozero on Thu Oct 11, 2012 4:34 pm

that repo "shouldn't" be there in the first place :) this >> http://blog.linuxmint.com/?p=1836
now it's giving you 404 because debian-multimedia is empty
03/09/2012 :
I started to remove suite from debian-multimedia.org
The first suite is stable and experimental then testing in september (done 03/09) and unstable in november.
Of course people should move to the new domain name right now. here

but changing your repo to deb-multimedia is not the option; since UP3 that repo is synced by mint to avoid things like this and this and this

on the other hand changing now those repos to latest can place you in a situation similar to this
zerozero
Level 16
Level 16
 
Posts: 6469
Joined: Tue Jul 07, 2009 2:29 pm

Re: No GUI after UP5 - how to get back?

Postby Monsta on Thu Oct 11, 2012 4:59 pm

Ah, right, I totally forgot about that "shift" in UP3. It was so long ago that I didn't even notice anything suspicious while reading the last post :lol:

Regarding the possible solutions: seems like the second one (changing to latest) would lead to less breakages.
Monsta
Level 8
Level 8
 
Posts: 2343
Joined: Fri Aug 19, 2011 3:46 am

Linux Mint is funded by ads and donations.
 
Previous

Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 3 guests